% vntex-@VERSION@
%
% Copyright 2010 Reinhard Kotucha <Reinhard.Kotucha@web.de>
%
% This file is part of vntex.
%
% This work may be distributed and/or modified under the conditions 
% of the LaTeX Project Public License, either version 1.3 of this
% license or (at your option) any later version.
%
% The latest version of this license is
%
%         http://www.latex-project.org/lppl.txt
%
% The current maintainers are Werner Lemberg, Han The Thanh, and 
% Reinhard Kotucha.

% \let\originaldocument\document
% \def\document{\endgroup\endinput}
%    \input vntex.tex
% \let\document\originaldocument

\documentclass[a4paper,11pt]{article}
\usepackage{amsmath,amsfonts,amssymb}
\usepackage[utf8]{inputenc}
\usepackage[T1,T2A,T5]{fontenc}
\usepackage[russian,vietnamese]{babel}
\usepackage{charter}
\usepackage{textcomp}
\usepackage[scaled=.9]{helvet}
\usepackage{parskip}
\usepackage{upquote}
\usepackage{microtype}
\usepackage{url}
\usepackage{graphicx} % for XeTeX logo
\usepackage{fancyvrb}\DefineShortVerb{\|}
%\usepackage{showframe}
%\usepackage{mparhack}

\RequirePackage[dvipsnames]{color}

\newif\ifprint
\ifdefined\printversion
  \printtrue
\else
  \printfalse
\fi

\def\arraystretch{1.25}

\raggedbottom

%\def\vi#1{\foreignlanguage{vietnamese}{#1}}

\makeatletter
\let\ifundefined\@ifundefined

\renewcommand\@seccntformat[1]{\llap{\@nameuse{the#1}\hspace{1em}}}

\renewcommand\section{\@startsection {section}{1}{\z@}%
                                   {-3.5ex \@plus -1ex \@minus -.2ex}%
                                   {0.3ex \@plus.2ex}%
                                   {\normalfont\Large\bfseries   
                                     \rightskip\z@ plus3em
                                     \spaceskip.3333em
                                     \xspaceskip.5em\color[named]{BrickRed}}}

\renewcommand\subsection{\@startsection{subsection}{2}{\z@}%
                                     {.25ex\@plus -1ex \@minus -.2ex}%
                                     {0.2ex \@plus .2ex}%
                                     {\normalfont\large\bfseries   
                                       \rightskip\z@ plus3em
                                       \spaceskip.3333em
                                       \xspaceskip.5em\color[named]{BrickRed}}}

\renewcommand\subsubsection{\@startsection{subsubsection}{3}{\z@}%
                                     {1.25ex\@plus -1ex \@minus -.2ex}%
                                     {0.1ex}%
                                     {\normalfont\normalsize\bfseries
                                       \rightskip\z@ plus2em
                                       \spaceskip.3333em
                                       \xspaceskip.5em
                                       \color[named]{BrickRed}}}

\renewcommand\paragraph{\@startsection{paragraph}{4}{\z@}%
                                    {\parskip}%
                                    {-1em}%
                                    {\normalfont\normalsize\bfseries\color[named]{BrickRed}}}
\renewcommand\subparagraph{\@startsection{subparagraph}{5}{\parindent}%
                                    {\parskip}%
                                    {-1em}%
                                    {\normalfont\normalsize\bfseries\color[named]{BrickRed}}}
\makeatother


%%% Colors

\definecolor{labelitemicolor}{rgb}{0,.5,0}
\definecolor{labelitemiicolor}{rgb}{.75,0,0}
\definecolor{labelitemiiicolor}{rgb}{0,0,.6}
 
\def\labelitemi{\color{labelitemicolor}{$\blacktriangleright$}}
\def\labelitemii{\color{labelitemiicolor}{{\large$\bullet$}}}
\def\labelitemiii{\color{labelitemiiicolor}
  {{\raisebox{.3ex}{\mbox{\scriptsize$\blacksquare$}}}}}

\def\bibcolor#1{{\color[named]{MidnightBlue}#1}}
%\def\bibcolor#1{{\color[cmyk]{.8,.8,0,.4}#1}}

\def\headcolor#1{{\color[named]{BrickRed}#1}}

\def\hrefcolor#1{{\color[named]{Fuchsia}#1}}
%\def\hrefcolor#1{{\color[cmyk]{.3,1,0,.6}#1}}
\def\xbibcolor#1{{\color[named]{Fuchsia}#1}}
%\def\xbibcolor#1{{\color[cmyk]{.3,1,0,.6}#1}}

%\def\codecolor{\color[named]{OliveGreen}}
\def\codecolor{\color[cmyk]{.65,0,.65,.7}}
%%%\def\codecolor{\color[cmyk]{.65,0,.65,.0}}

\def\pkg#1{{\sffamily#1}}

\def\marginnote#1{\marginpar{\headcolor{\textit{#1}}}}
\def\marginnote#1{\vadjust{\llap{\smash{\headcolor{\textit{#1~~}}}}}}
\def\marginnote#1{\leavevmode\llap{\headcolor{\textit{\smash{\parbox[t]{2.5cm}{\raggedleft #1}~~}}}}}


\def\mailto#1{$\langle$\href{mailto:#1}{\texttt{\hrefcolor{#1}}}$\rangle$}


\def\URL#1{{\fontfamily{cmvtt}\selectfont{\xbibcolor{https://#1}}}}

\def\indenturl{\leavevmode\texttt{\phantom{xx}}}
\def\http#1{\ifvmode\leavevmode\texttt{\phantom{xx}}\fi\href{https://#1}{\URL{#1}}}
\def\ftp#1{\ifvmode\leavevmode\texttt{\phantom{xx}}\fi\href{ftp://#1}{\URL{#1}}}

\def\path#1{\texttt{#1}}
\def\file#1{\texttt{#1}}

%%% Internal/External Documentation

\def\texmfdocvi{../../../../texmf-doc/doc/vietnamese}
\def\CTANbase{ctan.org/tex-archive/info}

\def\bibfile#1#2#3{\textit{#1, }\href{file:#2}{\bibcolor{#3}}} 
\def\bibfilenoauthor#1#2{\href{file:#1}{\bibcolor{#2}}} 
\def\bibfileprint#1{\ifx\printversion\undefined\hspace{\fill}\href{file:#1}{[\bibcolor{print~version}]}\fi} 

\def\xbibfile#1#2#3{\textit{#1, }\href{http://#2}{\xbibcolor{#3}}} 
\def\xbibfilenoauthor#1#2{\href{http://#1}{\xbibcolor{#2}}} 

\def\extbibfile#1#2#3{\textit{#1}, #2,\\\href{http://#3}{\fontfamily{cmvtt}\selectfont{\xbibcolor{http://#3}}}}

\def\xbibfileprint#1{\hspace{\fill}\ifx\printversion\undefined\href{http://#1}{[\bibcolor{print~version}]}\fi} 


\newenvironment{code}{\codecolor}{}
\newenvironment{verbcode}{\codecolor\begin{verbatim}}{\end{verbatim}}
%%%%\end{verbatim}

\def\code{\ifvmode~~~\fi\codecolor} %%% \setbox0 \wd0

\CustomVerbatimEnvironment{Code}{Verbatim}
   {commandchars=\|\(\),formatcom=\codecolor}
\def\texcomment#1{\textrm{\textcolor{black}{#1}}}
\def\sometext#1{\textcolor{black}{\textrm
   {$\langle$\ldots\textit{#1}\ldots$\rangle$}}}

\AtBeginDocument{\def\abstractname{\headcolor{\textbf{\normalsize
        Abstract}}}}

\advance\oddsidemargin by -.5cm
%\advance\marginparwidth 1cm
\evensidemargin=\oddsidemargin
\advance\textwidth by 2cm
\advance\topmargin by -2cm
\advance\textheight by 4cm
\advance\textheight by 2pt

%%% From File: ltlogos.dtx
\makeatletter
\DeclareRobustCommand{\LaTeX}{L\kern-.26em% orig: -.36em
  {\sbox\z@ T\vbox to\ht\z@{\hbox{\check@mathfonts
   \fontsize\sf@size\z@\math@fontsfalse\selectfont{}A}\vss}}%
   \kern-.07em% orig: -.15em
   \TeX}\makeatother

%%%\def\TeX{T\kern-.1667em\lower.5ex\hbox{E}\kern-.125emX\@}

\makeatletter
\DeclareRobustCommand{\XeTeX}{X\kern-.125em
  \lower.5ex\hbox{\reflectbox{E}}\kern-.1667em\TeX}\makeatother

\def\releasenotes{
  \parskip 0pt
  \def\version[##1]##2##3{\par\normalfont\normalsize
    \textcolor[named]{BrickRed}{Version~\textbf{##2}} --- released ##3
    ##1\par\penalty10000\small}}

\edef\YR{\number\year}
\edef\MO{\ifnum\month<10 0\fi\number\month}
\edef\DY{\ifnum\day<10 0\fi\number\day}

\usepackage[unicode, colorlinks, urlcolor=black, filecolor=black,
pdfdisplaydoctitle=true]{hyperref}

% we need \hypersetup if we are using unicode
\hypersetup{pdftitle={VnTeX - Typesetting Vietnamese (Revision \YR/\MO/\DY)}}
\hypersetup{pdfsubject={VnTeX User Manual}}
\hypersetup{pdfauthor={Hàn Thế Thành and Reinhard Kotucha}}
\hypersetup{pdfkeywords={VnTeX, typesetting Vietnamese, Vietnamese fonts,
  encodings, LaTeX macro packages}}

\hypersetup{pdfnewwindow=true}


\begin{document}
\section*{Release Notes}
\vspace*{6.666mm}
\begin{releasenotes}

\version[(\TeX~Live~2022 release)]{3.2.2}{2022/02/22}
\begin{itemize}
\item Fix VNR font metrics.
\item Update documentation.
\end{itemize}

\version[(\TeX~Live~2013 release)]{3.2.1}{2013/04/14}
\begin{itemize}
\item Babel support files moved to Babel system.
\end{itemize}

\version[(\TeX~Live~2010 release)]{3.2}{2010/06/07}
\begin{itemize}
\item Remove \pkg{comicsansvn} and \pkg{mscorevn} from \pkg{vntex}.
\item New file |vietnamese.ldf|.
\end{itemize}

\version[(\TeX~Live~2009 release)]{3.1.9}{2009/07/11}
\begin{itemize}
\item Minor fixes.
\end{itemize}

\version[]{3.1.8}{2009/05/16}
\begin{itemize}
\item CM Bright/Concrete fonts: bug fixed.
\item Scaling support for Helvetica Vietnamese.
\item All testfiles and doc sources moved to source/generic/vntex.
\item vntex.txt replaced by vntex.pdf.
\end{itemize}

\version[(\TeX~Live~2008 release)]{3.1.7}{2008/05/31}
\begin{itemize}
\item Replaced \texttt{http://vntex.org} by \url{http://vntex.sf.net}
  in documentation.
\end{itemize}

\version[]{3.1.6}{2007/01/27}
\begin{itemize}
\item vntex-update-maps: new Perl script.
\item Documentation update.
\end{itemize}

\version[(\TeX~Live~2007 release)]{3.1.5}{2007/01/15}
\begin{itemize}
\item Fixed some glyphs in \pkg{vnr}.
\end{itemize}

\version[]{3.1.4}{2007/01/07}
\begin{itemize}
  \item Minor fix in documentation.
\end{itemize}

\version[]{3.1.3}{2006/12/14}
\begin{itemize}
  \item Add support for Scientific Workplace (swpvntex.sty).
\end{itemize}

\version[]{3.1.2}{2006/11/25}
\begin{itemize}
\item Minor fix in |README|.
\end{itemize}

\version[]{3.1.1}{2006/11/22}
\begin{itemize}
\item Add new font Vntopia.
\item t5enc.def:  Update definitions to match corresponding versions in
  LaTeX 2005/12/01.
\end{itemize}

\newpage

\version[]{3.1}{2006/11/19}
\begin{itemize}
  \item vncaps.tex: Fixed bug in |\indexname|.
  \item Add support for Gentium, Grotesk, Garamond
  \item t5enc.dfu: Use |\ACIRCUMFLEX| and
    friends only if there are additional diacritics.
  \item Add support for URW Classico, CMbright, Concrete, Arev.
  \item New font definition files |t5futs.fd|, |t5mdput.fd|,
    |t5ptmom.fd|, |t5fnc.fd|, |t5mak.fd|,\\ |t5mdugm.fd|, |t5pxr.fd|,
    |t5mdbch.fd|, |t5txr.fd|.
  \item New macro package \pkg{varioref-vi}.
  \item Add support for Comicsans.
  \item Add support for txtt fonts.
  \item Supplier directories for VNR fonts are now |vntex| instead of
    |public|.
\end{itemize}

\version[]{3.02}{2005/09/25}
Changes from version 2.0 (released 2003/03/03 at |vntex.sf.net|)
\begin{itemize}
\item New test files with (hopefully) more meaningful names and also some
  explanation in doc/generic/vntex/tests/README.
\item Changed locations of |enc|/|map| files to conform to TDS~1.1:\\
  They now belong to |fonts/{enc,map}/{dvips,pdftex}/vntex|.  This may
  break a few things, but it must be done now, as TDS 1.1 is used by
  all recent TeX distributions.
\item Added some font samples to doc/generic/vntex/tests (see README
  for more details).
\item added support for \pkg{tex4ht}. (Now part of the \pkg{tex4ht}
  distribution.)
\item a few files had been removed:
  \begin{itemize}
  \item |dvips/vntex/config.vnr|: inconsistency with \pkg{urwvn},
    where no |config.urwvn| was available.
  \item |special.map|: the line for vnr fonts has been added to the
    official version of special.map distributed by tetex and texlive.
  \item |tcx| files: they are part of the standard TeX distributions
    now.
  \end{itemize}
\item |dblaccnt.sty| and |dblaccnt.tex| are no longer used; they are
  retained for backwards compatibility only -- |dblaccnt.sty| now
  works with \LaTeX~2003/12/01.
\item vntex now supports utf8 (native LaTeX) as well as utf8x (ucs.sty).
  Support for ucs.sty is a separate package now.
\item Added support for \pkg{mscore} fonts
  (|tfm|/|vf|/|fd|/|map|/|enc|); this requires a very recent version
  of pdf\TeX~(1.21a).
\item All human readable files contain copyright notes now.
\item Vietnamese fonts for \pkg{tex4ht} are now part of the
  \pkg{tex4ht} distribution. 
\item File |plainenc.tex| removed from Vn\TeX.
\item \pkg{plnfss} removed from Vn\TeX.
\item \pkg{ucs} removed from Vn\TeX.
\item The primary site of vntex is now |http://vntex.org|.  The
  former URL \url{http://vntex.sourceforge.net} is still usable.
\item The urwvn fonts had been significantly improved.  The faked
  small caps in URW Palatino had been replaced by real small caps
  designed by Ralf Stubner.  Vietnamese accents were provided by
  Hàn Thế Thành.  Oldstyle numbers are not supported yet.
\item Vietnamese characters had been added to Bitsream Charter fonts.
\item |VnURWChanceryL-MediItal| added.
\end{itemize}

\end{releasenotes}
\end{document}

% Local Variables:
%  mode: LaTeX
%  TeX-master: t
%  indent-tabs-mode: nil
%  coding: utf-8-unix
% End:
% vim:set tabstop=2 expandtab:
